[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

casper screen



This is for Marco, :)

Been trying to implement without success a screen= cheatcode like
knoppix.  http://www.knoppix.net/wiki/Cheat_Codes

I wondered if you've considered adding this feature? Some machines I've
tried 'debian live' have minor issues with the X autodetection routine.
Usually the resolution is a low Hz 1280x1024 when a 1024x768 would have
been better and more comfortable for use.

I've been trying to implement a screen= cmdline override, though I have
wasted already too many hours on this 'nice to have feature'. First I
forgot to copy in tftpboot/initrd.gz, which wasted a lot of time.

And now after looking through my latest casper log, I think the values I
try to set are actually reset by some autodetection routine.

Now I am thinking of writing some horrible sed script just to fiddle
with Display modes.

Let me know your thoughts while I take a break from this, ;)
-------------- next part --------------
diff -ur casper-debian/scripts/casper mycasper/casper-debian/scripts/casper
--- casper-debian/scripts/casper	2007-03-15 09:09:19.000000000 +0000
+++ mycasper/casper-debian/scripts/casper	2007-03-20 10:36:34.000000000 +0000
@@ -93,6 +93,8 @@
                 export KVARIANT=${x#*=} ;;
             kmodel=*|console-setup/modelcode=*)
                 export KMODEL=${x#*=} ;;
+            screen=*)
+                export SCREEN=${x#screen=} ;;
             module=*)
                 export MODULE=${x#module=} ;;
             preseed/file=*|file=*)
diff -ur casper-debian/scripts/casper-bottom/20xconfig mycasper/casper-debian/scripts/casper-bottom/20xconfig
--- casper-debian/scripts/casper-bottom/20xconfig	2007-03-21 10:20:22.000000000 +0000
+++ mycasper/casper-debian/scripts/casper-bottom/20xconfig	2007-03-21 00:21:11.000000000 +0000
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/sh -x
 
 PREREQ=""
-DESCRIPTION="Configuring X..."
+DESCRIPTION="Configuring X MEX..."
 
 . /scripts/casper-functions
 
@@ -52,11 +52,18 @@
         setmodel="set xserver-xorg/config/inputdevice/keyboard/model ${KMODEL}"
     fi
 
+# Test if we can force xserver-xorg into 1024x768 mode
+# See if anything is used by setting keyb layout to French below
+echo DEBUG resolution $SCREEN
+setscreen1="set xserver-xorg/config/display/modes $SCREEN"
+#setscreen2="set xserver-xorg/config/monitor/mode-list 1024x768 @ 60Hz"
+
     chroot /root debconf-communicate -fnoninteractive casper > /dev/null <<EOF
 set xserver-xorg/config/inputdevice/keyboard/layout ${kbd}
 ${setvariant}
 ${setmodel}
 ${setoptions}
+${setscreen1}
 EOF
 fi
 
Only in casper-debian/scripts/casper-bottom: 20xconfig.~1~
Only in mycasper/casper-debian/scripts/casper-bottom: .20xconfig.swp
-------------- next part --------------
IP-Config: eth0 hardware address 00:d0:b7:52:62:de mtu 1500 DHCP RARP
ipconfig: /tmp/net-eth0.conf: SIOCGIFINDEX: No such device
IP-Config: eth0 complete (from 192.168.2.1):
 address: 192.168.2.253    broadcast: 192.168.2.255    netmask: 255.255.255.0   
 gateway: 192.168.2.1      dns0     : 212.104.130.9    dns1   : 0.0.0.0         
 domain : webconverger.com                                                
 rootserver: 192.168.2.1 rootpath: 
 filename  : pxelinux.0
mount: I/O error
short read: 0 < 28
${image_directory}/*.${image_type}: /media/live/image/casper/*.ext2
${image_directory}/*.${image_type}: /media/live/image/casper/*.squashfs
${image_directory}/*.${image_type}: /media/live/image/casper/filesystem.dir
+ PREREQ=
+ DESCRIPTION=Configuring X MEX...
+ . /scripts/casper-functions
+ . /scripts/functions
+ . /casper.vars
+ prereqs
+ echo 
+ exit 0
Shadow passwords are now on.
Generating locales (this might take a while)...
  en_US.UTF-8... done
Generation complete.
+ PREREQ=
+ DESCRIPTION=Configuring X MEX...
+ . /scripts/casper-functions
+ . /scripts/functions
+ . /casper.vars
+ export LANG=en_US.UTF-8
+ export kbd=us
+ log_begin_msg Configuring X MEX...
+ [ -x /sbin/usplash_write ]
+ /sbin/usplash_write TEXT Configuring X MEX...
+ _log_msg Begin: Configuring X MEX... ...
+ [ y = y ]
+ return
+ [  = serial ]
+ mount -n -o bind /sys /root/sys
+ mount -n -o bind /proc /root/proc
+ [ -n  -a -x /root/usr/sbin/xdebconfigurator ]
+ [ Debian == Ubuntu ]
+ [ -n  ]
+ [ -n  ]
+ [ -n  ]
+ echo DEBUG resolution 1024x768
DEBUG resolution 1024x768
+ setscreen1=set xserver-xorg/config/display/modes 1024x768
+ chroot /root debconf-communicate -fnoninteractive casper
+ DEBUG_XORG_PACKAGE=1 DEBUG_XORG_DEBCONF=1 casper-reconfigure /root xserver-xorg
xserver-xorg postinst note: Configuring xserver-xorg.
xserver-xorg postinst note: X server symlink exists and points to executable
   X server; capping X server question priority at medium.
xserver-xorg postinst note: $OWNERS has only one value; shared/default-x-server
   will not be asked
xserver-xorg postinst note: auto_answer() "db_input medium
   xserver-xorg/autodetect_video_card" with default "true"
xserver-xorg postinst note: auto_answer: auto-answering with "true"
xserver-xorg postinst note: auto_answer: xserver-xorg/autodetect_video_card
   is not being asked
xserver-xorg postinst note: auto_answer: xserver-xorg/autodetect_video_card is
   "true"
xserver-xorg postinst note: autodetected X server: XFree86
xserver-xorg postinst note: seen flag of shared/default-x-server is false
xserver-xorg postinst note: db_input low shared/default-x-server
xserver-xorg postinst note: auto_answer() "db_input low
   shared/default-x-server" with default "xserver-xorg"
xserver-xorg postinst note: auto_answer: auto-answering with "xserver-xorg"
xserver-xorg postinst note: auto_answer: shared/default-x-server is not
   being asked
xserver-xorg postinst note: auto_answer: shared/default-x-server is
   "xserver-xorg"
xserver-xorg postinst note: available video driver list set to "apm, ark,
   ati, chips, cirrus, cyrix, fbdev, glint, i128, i740, i810, imstt, mga,
   neomagic, newport, nsc, nv, rendition, s3, s3virge, savage, siliconmotion,
   sis, sisusb, tdfx, tga, trident, tseng, vesa, vga, via, vmware, voodoo "
xserver-xorg postinst note: autodetected X server driver: ati
xserver-xorg postinst note: auto_answer() "db_input low
   xserver-xorg/config/device/driver" with default "ati"
xserver-xorg postinst note: auto_answer: auto-answering with "ati"
xserver-xorg postinst note: auto_answer: xserver-xorg/config/device/driver
   is not being asked
xserver-xorg postinst note: auto_answer: xserver-xorg/config/device/driver is
   "ati"
xserver-xorg postinst note: auto_answer() "validate_string_db_input low
   xserver-xorg/config/device/identifier" with default "ATI Technologies
   Inc 3D Rage Pro AGP 1X/2X "
xserver-xorg postinst note: auto_answer: auto-answering with "ATI Technologies
   Inc 3D Rage Pro AGP 1X/2X "
xserver-xorg postinst note: auto_answer: asking
   xserver-xorg/config/device/identifier
xserver-xorg postinst note: auto_answer: xserver-xorg/config/device/identifier
   is "ATI Technologies Inc 3D Rage Pro AGP 1X/2X"
xserver-xorg postinst note: auto_answer() "validate_bus_id_db_input medium
   xserver-xorg/config/device/bus_id" with default "PCI:1:0:0"
xserver-xorg postinst note: auto_answer: auto-answering with "PCI:1:0:0"
xserver-xorg postinst note: auto_answer: asking
   xserver-xorg/config/device/bus_id
xserver-xorg postinst note: auto_answer: xserver-xorg/config/device/bus_id is
   "PCI:1:0:0"
xserver-xorg postinst note: auto_answer() "db_input medium
   xserver-xorg/config/device/use_fbdev" with default "false"
xserver-xorg postinst note: auto_answer: auto-answering with "false"
xserver-xorg postinst note: auto_answer: xserver-xorg/config/device/use_fbdev
   is not being asked
xserver-xorg postinst note: auto_answer: xserver-xorg/config/device/use_fbdev
   is "false"
xserver-xorg postinst note: auto_answer() "db_input medium
   xserver-xorg/autodetect_keyboard" with default "false"
xserver-xorg postinst note: auto_answer: auto-answering with "false"
xserver-xorg postinst note: auto_answer: xserver-xorg/autodetect_keyboard
   is not being asked
xserver-xorg postinst note: auto_answer: xserver-xorg/autodetect_keyboard is
   "false"
xserver-xorg postinst note: auto_answer() "validate_string_db_input low
   xserver-xorg/config/inputdevice/keyboard/layout" with default "us"
xserver-xorg postinst note: auto_answer: auto-answering with "us"
xserver-xorg postinst note: auto_answer: asking
   xserver-xorg/config/inputdevice/keyboard/layout
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/keyboard/layout is "us"
xserver-xorg postinst note: auto_answer() "validate_string_db_input medium
   xserver-xorg/config/inputdevice/keyboard/rules" with default "xorg"
xserver-xorg postinst note: auto_answer: auto-answering with "xorg"
xserver-xorg postinst note: auto_answer: asking
   xserver-xorg/config/inputdevice/keyboard/rules
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/keyboard/rules is "xorg"
xserver-xorg postinst note: auto_answer() "validate_string_db_input medium
   xserver-xorg/config/inputdevice/keyboard/model" with default "pc104"
xserver-xorg postinst note: auto_answer: auto-answering with "pc104"
xserver-xorg postinst note: auto_answer: asking
   xserver-xorg/config/inputdevice/keyboard/model
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/keyboard/model is "pc104"
xserver-xorg postinst note: auto_answer() "validate_string_db_input low
   xserver-xorg/config/inputdevice/keyboard/variant" with default ""
xserver-xorg postinst note: auto_answer: auto-answering with ""
xserver-xorg postinst note: auto_answer: asking
   xserver-xorg/config/inputdevice/keyboard/variant
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/keyboard/variant is ""
xserver-xorg postinst note: auto_answer() "validate_string_db_input low
   xserver-xorg/config/inputdevice/keyboard/options" with default ""
xserver-xorg postinst note: auto_answer: auto-answering with ""
xserver-xorg postinst note: auto_answer: asking
   xserver-xorg/config/inputdevice/keyboard/options
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/keyboard/options is ""
xserver-xorg postinst note: auto_answer() "db_input low
   xserver-xorg/config/inputdevice/mouse/port" with default "/dev/input/mice"
xserver-xorg postinst note: auto_answer: auto-answering with "/dev/input/mice"
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/mouse/port is not being asked
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/mouse/port is "/dev/input/mice"
xserver-xorg postinst note: auto_answer() "db_input low
   xserver-xorg/config/inputdevice/mouse/protocol" with default "ImPS/2"
xserver-xorg postinst note: auto_answer: auto-answering with "ImPS/2"
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/mouse/protocol is not being asked
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/mouse/protocol is "ImPS/2"
xserver-xorg postinst note: auto_answer() "db_input low
   xserver-xorg/config/inputdevice/mouse/emulate3buttons" with default "true"
xserver-xorg postinst note: auto_answer: auto-answering with "true"
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/mouse/emulate3buttons is not being asked
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/inputdevice/mouse/emulate3buttons is "true"
xserver-xorg postinst note: auto_answer() "db_input low
   xserver-xorg/config/modules" with default "i2c, bitmap, ddc, dri, extmod,
   freetype, glx, int10, vbe"
xserver-xorg postinst note: auto_answer: auto-answering with "i2c, bitmap,
   ddc, dri, extmod, freetype, glx, int10, vbe"
xserver-xorg postinst note: auto_answer: xserver-xorg/config/modules is not
   being asked
xserver-xorg postinst note: auto_answer: xserver-xorg/config/modules is
   "i2c, bitmap, ddc, dri, extmod, freetype, glx, int10, vbe"
xserver-xorg postinst note: auto_answer() "db_input low
   xserver-xorg/config/write_files_section" with default "true"
xserver-xorg postinst note: auto_answer: auto-answering with "true"
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/write_files_section is not being asked
xserver-xorg postinst note: auto_answer:
   xserver-xorg/config/write_files_section is "true"
+ xresprobeint
+ PRIORITY=medium
+ db_input medium xserver-xorg/autodetect_monitor
+ _db_cmd 'INPUT medium' xserver-xorg/autodetect_monitor
+ IFS=' '
+ printf '%s\n' 'INPUT medium xserver-xorg/autodetect_monitor'
+ IFS='
'
+ read -r _db_internal_line
+ RET='30 question skipped'
+ case ${_db_internal_line%%[ 	]*} in
+ return 30
+ debug_echo 'db_get xserver-xorg/autodetect_monitor'
+ '[' -n 1 ']'
+ DEBUG_XORG_PACKAGE=yes
+ observe 'db_get xserver-xorg/autodetect_monitor'
+ '[' -n yes ']'
+ message 'xserver-xorg postinst note: db_get xserver-xorg/autodetect_monitor'
+ reject_nondigits ''
+ '[' -n '' ']'
+ echo 'xserver-xorg postinst note: db_get xserver-xorg/autodetect_monitor'
+ fmt -t -w 80
xserver-xorg postinst note: db_get xserver-xorg/autodetect_monitor
+ db_go
+ _db_cmd 'GO '
+ IFS=' '
+ printf '%s\n' 'GO '
+ IFS='
'
+ read -r _db_internal_line
+ RET=ok
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_get xserver-xorg/autodetect_monitor
+ _db_cmd 'GET xserver-xorg/autodetect_monitor'
+ IFS=' '
+ printf '%s\n' 'GET xserver-xorg/autodetect_monitor'
+ IFS='
'
+ read -r _db_internal_line
+ RET=true
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ '[' true = true ']'
+ AUTODETECT_VIDEO=yes
+ '[' -n yes ']'
+ '[' -z '' ']'
+ MONITOR_IDENTIFIER=
+ RESOLUTIONS=
+ HORIZ_SYNC=
+ VERT_REFRESH=
+ for i in identifier horiz-sync vert-refresh use_sync_ranges selection-method screen-size
+ db_reset xserver-xorg/config/monitor/identifier
+ _db_cmd 'RESET xserver-xorg/config/monitor/identifier'
+ IFS=' '
+ printf '%s\n' 'RESET xserver-xorg/config/monitor/identifier'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ for i in identifier horiz-sync vert-refresh use_sync_ranges selection-method screen-size
+ db_reset xserver-xorg/config/monitor/horiz-sync
+ _db_cmd 'RESET xserver-xorg/config/monitor/horiz-sync'
+ IFS=' '
+ printf '%s\n' 'RESET xserver-xorg/config/monitor/horiz-sync'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ for i in identifier horiz-sync vert-refresh use_sync_ranges selection-method screen-size
+ db_reset xserver-xorg/config/monitor/vert-refresh
+ _db_cmd 'RESET xserver-xorg/config/monitor/vert-refresh'
+ IFS=' '
+ printf '%s\n' 'RESET xserver-xorg/config/monitor/vert-refresh'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ for i in identifier horiz-sync vert-refresh use_sync_ranges selection-method screen-size
+ db_reset xserver-xorg/config/monitor/use_sync_ranges
+ _db_cmd 'RESET xserver-xorg/config/monitor/use_sync_ranges'
+ IFS=' '
+ printf '%s\n' 'RESET xserver-xorg/config/monitor/use_sync_ranges'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ for i in identifier horiz-sync vert-refresh use_sync_ranges selection-method screen-size
+ db_reset xserver-xorg/config/monitor/selection-method
+ _db_cmd 'RESET xserver-xorg/config/monitor/selection-method'
+ IFS=' '
+ printf '%s\n' 'RESET xserver-xorg/config/monitor/selection-method'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ for i in identifier horiz-sync vert-refresh use_sync_ranges selection-method screen-size
+ db_reset xserver-xorg/config/monitor/screen-size
+ _db_cmd 'RESET xserver-xorg/config/monitor/screen-size'
+ IFS=' '
+ printf '%s\n' 'RESET xserver-xorg/config/monitor/screen-size'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ for i in modes
+ db_reset xserver-xorg/config/display/modes
+ _db_cmd 'RESET xserver-xorg/config/display/modes'
+ IFS=' '
+ printf '%s\n' 'RESET xserver-xorg/config/display/modes'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ for i in default_depth
+ db_fget xserver-xorg/config/display/default_depth seen
+ _db_cmd 'FGET xserver-xorg/config/display/default_depth' seen
+ IFS=' '
+ printf '%s\n' 'FGET xserver-xorg/config/display/default_depth seen'
+ IFS='
'
+ read -r _db_internal_line
+ RET=false
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ '[' false = false ']'
+ db_reset xserver-xorg/config/display/default_depth
+ _db_cmd 'RESET xserver-xorg/config/display/default_depth'
+ IFS=' '
+ printf '%s\n' 'RESET xserver-xorg/config/display/default_depth'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_get xserver-xorg/config/device/driver
+ _db_cmd 'GET xserver-xorg/config/device/driver'
+ IFS=' '
+ printf '%s\n' 'GET xserver-xorg/config/device/driver'
+ IFS='
'
+ read -r _db_internal_line
+ RET=ati
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ DEVICE_DRIVER=ati
+ db_get xserver-xorg/config/device/identifier
+ _db_cmd 'GET xserver-xorg/config/device/identifier'
+ IFS=' '
+ printf '%s\n' 'GET xserver-xorg/config/device/identifier'
+ IFS='
'
+ read -r _db_internal_line
+ RET='ATI Technologies Inc 3D Rage Pro AGP 1X/2X'
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ DEVICE_IDENTIFIER='ATI Technologies Inc 3D Rage Pro AGP 1X/2X'
+ which xresprobe
+ set +e
++ xresprobe ati
+ PROBE_DUMP='id: 719B
res: 1280x1024 1024x768 832x624 800x600 720x400 640x480
freq: 30-70 50-160
disptype: crt'
+ set -e
++ echo 'id: 719B
res: 1280x1024 1024x768 832x624 800x600 720x400 640x480
freq: 30-70 50-160
disptype: crt'
++ grep '^id:'
++ sed -e 's/^id: //g' -e 's/"//g'
+ MONITOR_IDENTIFIER=719B
++ echo 'id: 719B
res: 1280x1024 1024x768 832x624 800x600 720x400 640x480
freq: 30-70 50-160
disptype: crt'
++ grep '^res:'
++ sed -e 's/^res: //g'
+ RESOLUTIONS='1280x1024 1024x768 832x624 800x600 720x400 640x480'
++ echo 'id: 719B
res: 1280x1024 1024x768 832x624 800x600 720x400 640x480
freq: 30-70 50-160
disptype: crt'
++ grep '^freq:'
++ sed -e 's/^freq: //g'
++ cut -d ' ' -f 1
+ HORIZ_SYNC=30-70
++ echo 'id: 719B
res: 1280x1024 1024x768 832x624 800x600 720x400 640x480
freq: 30-70 50-160
disptype: crt'
++ grep '^freq:'
++ sed -e 's/^freq: //g'
++ cut -d ' ' -f 2
+ VERT_REFRESH=50-160
++ echo 'id: 719B
res: 1280x1024 1024x768 832x624 800x600 720x400 640x480
freq: 30-70 50-160
disptype: crt'
++ grep '^disptype:'
++ sed -e 's/^disptype: //g'
+ DISPLAY_TYPE=crt
++ echo 'id: 719B
res: 1280x1024 1024x768 832x624 800x600 720x400 640x480
freq: 30-70 50-160
disptype: crt'
++ grep '^depth:'
++ sed -e 's/^depth: //g'
+ DISPLAY_DEPTH=
+ '[' -n '' ']'
+ '[' ati = nv ']'
+ '[' ati = savage ']'
+ '[' ati = trident ']'
+ '[' ati = via ']'
+ '[' ati = siliconmotion ']'
+ '[' ati = chips ']'
+ '[' ati = tdfx ']'
+ '[' ati = neomagic ']'
+ '[' ati = s3 ']'
+ '[' ati = ati ']'
+ '[' crt = lcd/lvds ']'
+ '[' i386 = powerpc ']'
+ '[' ati = i810 ']'
+ '[' -z 719B ']'
+ db_set xserver-xorg/config/monitor/identifier 719B
+ _db_cmd 'SET xserver-xorg/config/monitor/identifier' 719B
+ IFS=' '
+ printf '%s\n' 'SET xserver-xorg/config/monitor/identifier 719B'
+ IFS='
'
+ read -r _db_internal_line
+ RET='value set'
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ MAY_BE_NULL=
+ validate_string_db_input low xserver-xorg/config/monitor/identifier
+ '[' 2 -ne 2 ']'
+ PRIORITY=low
+ TEMPLATE=xserver-xorg/config/monitor/identifier
+ db_get xserver-xorg/config/monitor/identifier
+ _db_cmd 'GET xserver-xorg/config/monitor/identifier'
+ IFS=' '
+ printf '%s\n' 'GET xserver-xorg/config/monitor/identifier'
+ IFS='
'
+ read -r _db_internal_line
+ RET=719B
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ SAFE=719B
+ set +e
+ :
+ db_input low xserver-xorg/config/monitor/identifier
+ _db_cmd 'INPUT low' xserver-xorg/config/monitor/identifier
+ IFS=' '
+ printf '%s\n' 'INPUT low xserver-xorg/config/monitor/identifier'
+ IFS='
'
+ read -r _db_internal_line
+ RET='30 question skipped'
+ case ${_db_internal_line%%[ 	]*} in
+ return 30
+ '[' 30 -eq 30 ']'
+ break
+ set -e
+ PRIORITY=high
+ '[' -n yes ']'
+ NRES=0
+ for i in '$RESOLUTIONS'
++ expr 0 + 1
+ NRES=1
+ for i in '$RESOLUTIONS'
++ expr 1 + 1
+ NRES=2
+ for i in '$RESOLUTIONS'
++ expr 2 + 1
+ NRES=3
+ for i in '$RESOLUTIONS'
++ expr 3 + 1
+ NRES=4
+ for i in '$RESOLUTIONS'
++ expr 4 + 1
+ NRES=5
+ for i in '$RESOLUTIONS'
++ expr 5 + 1
+ NRES=6
+ '[' 6 -gt 0 ']'
+ PRIORITY=medium
++ for i in '$DCRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x1024
++ for i in '$DCRESOLUTIONS' '$RESOLUTIONS'
++ echo 1024x768
++ for i in '$DCRESOLUTIONS' '$RESOLUTIONS'
++ echo 832x624
++ for i in '$DCRESOLUTIONS' '$RESOLUTIONS'
++ echo 800x600
++ for i in '$DCRESOLUTIONS' '$RESOLUTIONS'
++ echo 720x400
++ for i in '$DCRESOLUTIONS' '$RESOLUTIONS'
++ echo 640x480
++ sort -t x -k1,1nr -k2,2nr -u
+ DCRESOLUTIONS='1280x1024
1024x768
832x624
800x600
720x400
640x480'
++ echo 1280x1024 1024x768 832x624 800x600 720x400 640x480
++ sed -e 's/ /, /g'
+ DCRESOLUTIONS='1280x1024, 1024x768, 832x624, 800x600, 720x400, 640x480'
+ '[' -z '' ']'
+ '[' crt = lcd/lvds ']'
+ '[' -z 30-70 ']'
+ '[' -z 50-160 ']'
+ '[' -n '' ']'
+ db_metaget xserver-xorg/config/display/modes choices
+ _db_cmd 'METAGET xserver-xorg/config/display/modes' choices
+ IFS=' '
+ printf '%s\n' 'METAGET xserver-xorg/config/display/modes choices'
+ IFS='
'
+ read -r _db_internal_line
+ RET='1920x1440, 1920x1200, 1856x1392, 1792x1344, 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x854, 1280x800, 1280x768, 1200x800, 1152x864, 1152x768, 1024x768, 800x600, 640x480'
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
++ echo '1920x1440, 1920x1200, 1856x1392, 1792x1344, 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x854, 1280x800, 1280x768, 1200x800, 1152x864, 1152x768, 1024x768, 800x600, 640x480'
++ sed -e 's/, / /g'
+ DEFRESOLUTIONS='1920x1440 1920x1200 1856x1392 1792x1344 1680x1050 1600x1200 1440x900 1400x1050 1280x1024 1280x960 1280x854 1280x800 1280x768 1200x800 1152x864 1152x768 1024x768 800x600 640x480'
+ '[' -n '1920x1440, 1920x1200, 1856x1392, 1792x1344, 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x854, 1280x800, 1280x768, 1200x800, 1152x864, 1152x768, 1024x768, 800x600, 640x480' ']'
+ DCRESOLUTIONS='1920x1440, 1920x1200, 1856x1392, 1792x1344, 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x854, 1280x800, 1280x768, 1200x800, 1152x864, 1152x768, 1024x768, 800x600, 640x480'
++ echo 1920x1440, 1920x1200, 1856x1392, 1792x1344, 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x854, 1280x800, 1280x768, 1200x800, 1152x864, 1152x768, 1024x768, 800x600, 640x480
++ sed -e 's/, / /g'
+ DCRESOLUTIONS='1920x1440 1920x1200 1856x1392 1792x1344 1680x1050 1600x1200 1440x900 1400x1050 1280x1024 1280x960 1280x854 1280x800 1280x768 1200x800 1152x864 1152x768 1024x768 800x600 640x480'
+ '[' -n '1280x1024 1024x768 832x624 800x600 720x400 640x480' ']'
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1920x1440
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1920x1200
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1856x1392
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1792x1344
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1680x1050
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ sort -t x -k1,1nr -k2,2nr -u
++ echo 1600x1200
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1440x900
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1400x1050
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x1024
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x960
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x854
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x800
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x768
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1200x800
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1152x864
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1152x768
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1024x768
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 800x600
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 640x480
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1920x1440
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1920x1200
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1856x1392
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1792x1344
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1680x1050
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1600x1200
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1440x900
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1400x1050
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x1024
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x960
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x854
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x800
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x768
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1200x800
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1152x864
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1152x768
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1024x768
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 800x600
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 640x480
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1280x1024
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 1024x768
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 832x624
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 800x600
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 720x400
++ for i in '$DCRESOLUTIONS' '$DEFRESOLUTIONS' '$RESOLUTIONS'
++ echo 640x480
+ DCRESOLUTIONS='1920x1440
1920x1200
1856x1392
1792x1344
1680x1050
1600x1200
1440x900
1400x1050
1280x1024
1280x960
1280x854
1280x800
1280x768
1200x800
1152x864
1152x768
1024x768
832x624
800x600
720x400
640x480'
++ echo 1920x1440 1920x1200 1856x1392 1792x1344 1680x1050 1600x1200 1440x900 1400x1050 1280x1024 1280x960 1280x854 1280x800 1280x768 1200x800 1152x864 1152x768 1024x768 832x624 800x600 720x400 640x480
++ sed -e 's/ /, /g'
+ DCRESOLUTIONS='1920x1440, 1920x1200, 1856x1392, 1792x1344, 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x854, 1280x800, 1280x768, 1200x800, 1152x864, 1152x768, 1024x768, 832x624, 800x600, 720x400, 640x480'
+ db_subst xserver-xorg/config/display/modes choices '1920x1440, 1920x1200, 1856x1392, 1792x1344, 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x854, 1280x800, 1280x768, 1200x800, 1152x864, 1152x768, 1024x768, 832x624, 800x600, 720x400, 640x480'
+ _db_cmd 'SUBST xserver-xorg/config/display/modes' choices '1920x1440, 1920x1200, 1856x1392, 1792x1344, 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x854, 1280x800, 1280x768, 1200x800, 1152x864, 1152x768, 1024x768, 832x624, 800x600, 720x400, 640x480'
+ IFS=' '
+ printf '%s\n' 'SUBST xserver-xorg/config/display/modes choices 1920x1440, 1920x1200, 1856x1392, 1792x1344, 1680x1050, 1600x1200, 1440x900, 1400x1050, 1280x1024, 1280x960, 1280x854, 1280x800, 1280x768, 1200x800, 1152x864, 1152x768, 1024x768, 832x624, 800x600, 720x400, 640x480'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ '[' -n '1280x1024 1024x768 832x624 800x600 720x400 640x480' ']'
++ echo 1280x1024 1024x768 832x624 800x600 720x400 640x480
++ sed -e 's/ /, /g'
+ RESOLUTIONS='1280x1024, 1024x768, 832x624, 800x600, 720x400, 640x480'
+ db_set xserver-xorg/config/display/modes '1280x1024, 1024x768, 832x624, 800x600, 720x400, 640x480'
+ _db_cmd 'SET xserver-xorg/config/display/modes' '1280x1024, 1024x768, 832x624, 800x600, 720x400, 640x480'
+ IFS=' '
+ printf '%s\n' 'SET xserver-xorg/config/display/modes 1280x1024, 1024x768, 832x624, 800x600, 720x400, 640x480'
+ IFS='
'
+ read -r _db_internal_line
+ RET='value set'
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_input medium xserver-xorg/config/display/modes
+ _db_cmd 'INPUT medium' xserver-xorg/config/display/modes
+ IFS=' '
+ printf '%s\n' 'INPUT medium xserver-xorg/config/display/modes'
+ IFS='
'
+ read -r _db_internal_line
+ RET='30 question skipped'
+ case ${_db_internal_line%%[ 	]*} in
+ return 30
+ debug_echo 'db_input medium xserver-xorg/config/display/modes'
+ '[' -n 1 ']'
+ DEBUG_XORG_PACKAGE=yes
+ observe 'db_input medium xserver-xorg/config/display/modes'
+ '[' -n yes ']'
+ message 'xserver-xorg postinst note: db_input medium xserver-xorg/config/display/modes'
+ reject_nondigits ''
+ '[' -n '' ']'
+ echo 'xserver-xorg postinst note: db_input medium xserver-xorg/config/display/modes'
+ fmt -t -w 80
xserver-xorg postinst note: db_input medium xserver-xorg/config/display/modes
+ db_go
+ _db_cmd 'GO '
+ IFS=' '
+ printf '%s\n' 'GO '
+ IFS='
'
+ read -r _db_internal_line
+ RET=ok
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_subst xserver-xorg/config/monitor/selection-method choices 'Simple, Medium, Advanced'
+ _db_cmd 'SUBST xserver-xorg/config/monitor/selection-method' choices 'Simple, Medium, Advanced'
+ IFS=' '
+ printf '%s\n' 'SUBST xserver-xorg/config/monitor/selection-method choices Simple, Medium, Advanced'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_subst xserver-xorg/config/monitor/selection-method default Medium
+ _db_cmd 'SUBST xserver-xorg/config/monitor/selection-method' default Medium
+ IFS=' '
+ printf '%s\n' 'SUBST xserver-xorg/config/monitor/selection-method default Medium'
+ IFS='
'
+ read -r _db_internal_line
+ RET=0
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ '[' -n yes ']'
+ '[' -n 30-70 ']'
+ '[' -n 50-160 ']'
+ db_set xserver-xorg/config/monitor/horiz-sync 30-70
+ _db_cmd 'SET xserver-xorg/config/monitor/horiz-sync' 30-70
+ IFS=' '
+ printf '%s\n' 'SET xserver-xorg/config/monitor/horiz-sync 30-70'
+ IFS='
'
+ read -r _db_internal_line
+ RET='value set'
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_set xserver-xorg/config/monitor/vert-refresh 50-160
+ _db_cmd 'SET xserver-xorg/config/monitor/vert-refresh' 50-160
+ IFS=' '
+ printf '%s\n' 'SET xserver-xorg/config/monitor/vert-refresh 50-160'
+ IFS='
'
+ read -r _db_internal_line
+ RET='value set'
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_set xserver-xorg/config/monitor/selection-method Advanced
+ _db_cmd 'SET xserver-xorg/config/monitor/selection-method' Advanced
+ IFS=' '
+ printf '%s\n' 'SET xserver-xorg/config/monitor/selection-method Advanced'
+ IFS='
'
+ read -r _db_internal_line
+ RET='value set'
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_input low xserver-xorg/config/monitor/selection-method
+ _db_cmd 'INPUT low' xserver-xorg/config/monitor/selection-method
+ IFS=' '
+ printf '%s\n' 'INPUT low xserver-xorg/config/monitor/selection-method'
+ IFS='
'
+ read -r _db_internal_line
+ RET='30 question skipped'
+ case ${_db_internal_line%%[ 	]*} in
+ return 30
+ debug_echo 'db_input low xserver-xorg/config/monitor/selection-method'
+ '[' -n 1 ']'
+ DEBUG_XORG_PACKAGE=yes
+ observe 'db_input low xserver-xorg/config/monitor/selection-method'
+ '[' -n yes ']'
+ message 'xserver-xorg postinst note: db_input low xserver-xorg/config/monitor/selection-method'
+ reject_nondigits ''
+ '[' -n '' ']'
+ echo 'xserver-xorg postinst note: db_input low xserver-xorg/config/monitor/selection-method'
+ fmt -t -w 80
xserver-xorg postinst note: db_input low
   xserver-xorg/config/monitor/selection-method
+ db_go
+ _db_cmd 'GO '
+ IFS=' '
+ printf '%s\n' 'GO '
+ IFS='
'
+ read -r _db_internal_line
+ RET=ok
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_get xserver-xorg/config/monitor/selection-method
+ _db_cmd 'GET xserver-xorg/config/monitor/selection-method'
+ IFS=' '
+ printf '%s\n' 'GET xserver-xorg/config/monitor/selection-method'
+ IFS='
'
+ read -r _db_internal_line
+ RET=Advanced
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ case "$RET" in
+ validate_monitor_frequency_db_input low xserver-xorg/config/monitor/horiz-sync
+ _func=validate_monitor_frequency_db_input
+ '[' 2 -ne 2 ']'
+ _priority=low
+ _template=xserver-xorg/config/monitor/horiz-sync
+ db_get xserver-xorg/config/monitor/horiz-sync
+ _db_cmd 'GET xserver-xorg/config/monitor/horiz-sync'
+ IFS=' '
+ printf '%s\n' 'GET xserver-xorg/config/monitor/horiz-sync'
+ IFS='
'
+ read -r _db_internal_line
+ RET=30-70
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ _safe=30-70
+ set +e
+ :
+ db_input low xserver-xorg/config/monitor/horiz-sync
+ _db_cmd 'INPUT low' xserver-xorg/config/monitor/horiz-sync
+ IFS=' '
+ printf '%s\n' 'INPUT low xserver-xorg/config/monitor/horiz-sync'
+ IFS='
'
+ read -r _db_internal_line
+ RET='30 question skipped'
+ case ${_db_internal_line%%[ 	]*} in
+ return 30
+ '[' 30 -eq 30 ']'
+ break
+ set -e
+ validate_monitor_frequency_db_input low xserver-xorg/config/monitor/vert-refresh
+ _func=validate_monitor_frequency_db_input
+ '[' 2 -ne 2 ']'
+ _priority=low
+ _template=xserver-xorg/config/monitor/vert-refresh
+ db_get xserver-xorg/config/monitor/vert-refresh
+ _db_cmd 'GET xserver-xorg/config/monitor/vert-refresh'
+ IFS=' '
+ printf '%s\n' 'GET xserver-xorg/config/monitor/vert-refresh'
+ IFS='
'
+ read -r _db_internal_line
+ RET=50-160
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ _safe=50-160
+ set +e
+ :
+ db_input low xserver-xorg/config/monitor/vert-refresh
+ _db_cmd 'INPUT low' xserver-xorg/config/monitor/vert-refresh
+ IFS=' '
+ printf '%s\n' 'INPUT low xserver-xorg/config/monitor/vert-refresh'
+ IFS='
'
+ read -r _db_internal_line
+ RET='30 question skipped'
+ case ${_db_internal_line%%[ 	]*} in
+ return 30
+ '[' 30 -eq 30 ']'
+ break
+ set -e
+ db_go
+ _db_cmd 'GO '
+ IFS=' '
+ printf '%s\n' 'GO '
+ IFS='
'
+ read -r _db_internal_line
+ RET=ok
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_get xserver-xorg/config/monitor/horiz-sync
+ _db_cmd 'GET xserver-xorg/config/monitor/horiz-sync'
+ IFS=' '
+ printf '%s\n' 'GET xserver-xorg/config/monitor/horiz-sync'
+ IFS='
'
+ read -r _db_internal_line
+ RET=30-70
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ USER_HSYNC=30-70
+ db_get xserver-xorg/config/monitor/vert-refresh
+ _db_cmd 'GET xserver-xorg/config/monitor/vert-refresh'
+ IFS=' '
+ printf '%s\n' 'GET xserver-xorg/config/monitor/vert-refresh'
+ IFS='
'
+ read -r _db_internal_line
+ RET=50-160
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ USER_VREFRESH=50-160
+ '[' -z '' ']'
+ '[' -n yes ']'
+ '[' 30-70 = 30-70 ']'
+ '[' 50-160 = 50-160 ']'
+ '[' -n '' ']'
+ db_input low xserver-xorg/config/monitor/use_sync_ranges
+ _db_cmd 'INPUT low' xserver-xorg/config/monitor/use_sync_ranges
+ IFS=' '
+ printf '%s\n' 'INPUT low xserver-xorg/config/monitor/use_sync_ranges'
+ IFS='
'
+ read -r _db_internal_line
+ RET='30 question skipped'
+ case ${_db_internal_line%%[ 	]*} in
+ return 30
+ debug_echo 'db_input low xserver-xorg/config/monitor/use_sync_ranges'
+ '[' -n 1 ']'
+ DEBUG_XORG_PACKAGE=yes
+ observe 'db_input low xserver-xorg/config/monitor/use_sync_ranges'
+ '[' -n yes ']'
+ message 'xserver-xorg postinst note: db_input low xserver-xorg/config/monitor/use_sync_ranges'
+ reject_nondigits ''
+ '[' -n '' ']'
+ echo 'xserver-xorg postinst note: db_input low xserver-xorg/config/monitor/use_sync_ranges'
+ fmt -t -w 80
xserver-xorg postinst note: db_input low
   xserver-xorg/config/monitor/use_sync_ranges
+ case "$DEVICE_DRIVER" in
+ DEFAULT_DEPTH=24
+ '[' -n '' ']'
+ db_fget xserver-xorg/config/display/default_depth seen
+ _db_cmd 'FGET xserver-xorg/config/display/default_depth' seen
+ IFS=' '
+ printf '%s\n' 'FGET xserver-xorg/config/display/default_depth seen'
+ IFS='
'
+ read -r _db_internal_line
+ RET=false
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ '[' false = false ']'
+ db_set xserver-xorg/config/display/default_depth 24
+ _db_cmd 'SET xserver-xorg/config/display/default_depth' 24
+ IFS=' '
+ printf '%s\n' 'SET xserver-xorg/config/display/default_depth 24'
+ IFS='
'
+ read -r _db_internal_line
+ RET='value set'
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ db_input low xserver-xorg/config/display/default_depth
+ _db_cmd 'INPUT low' xserver-xorg/config/display/default_depth
+ IFS=' '
+ printf '%s\n' 'INPUT low xserver-xorg/config/display/default_depth'
+ IFS='
'
+ read -r _db_internal_line
+ RET='30 question skipped'
+ case ${_db_internal_line%%[ 	]*} in
+ return 30
+ true
+ db_go
+ _db_cmd 'GO '
+ IFS=' '
+ printf '%s\n' 'GO '
+ IFS='
'
+ read -r _db_internal_line
+ RET=ok
+ case ${_db_internal_line%%[ 	]*} in
+ return 0
+ '[' -n yes ']'
+ set +x
xserver-xorg postinst warning: overwriting possibly-customised configuration
   file; backup in /etc/X11/xorg.conf.20070321095453
+ umount /root/sys
+ umount /root/proc
+ log_end_msg
+ [ -x /sbin/usplash_write ]
+ /sbin/usplash_write SUCCESS ok
+ _log_msg Done.
+ [ y = y ]
+ return
ln: /root/usr/lib/update-notifier/apt-check: No such file or directory

Reply to: